> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/api-documentation/api-guides/configuration/currency-service.md).

# Currency Service

Holds and manages a list of currencies available for the tenant.

### Key features and benefits

* Creates, manages, and deletes currencies
* Provides the ISO-compliant currency code information, including localized names - for more information, see [ISO-4217 Currency Codes](https://www.iso.org/iso-4217-currency-codes.html)
* Stores exchange rates
* Calculates exchanges between currencies with high precision
* Displays product/service prices in the currency preferred by the customer
* Optionally exchanges currencies, for example, if your PSP processes prices in USD only
* Sets prices for different markets (for more information, see the Price Service)
* Supports an unlimited number of currencies


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.emporix.io/api-documentation/api-guides/configuration/currency-service.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
